HighlightingUtils (Solr 3.6.2 API)
Keywords: org.apache.solr.util.HighlightingUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util
Class HighlightingUtils

    java.lang.Object
      org.apache.solr.util.HighlightingUtils

All Implemented Interfaces:
  HighlightParams

Deprecated. use DefaultSolrHighlighter

    @Deprecated
    public class HighlightingUtils

extends Object
implements HighlightParams

DEPRECATED Collection of Utility and Factory methods for Highlighting.

See Also:
  `DefaultSolrHighlighter`

Field Summary

Fields inherited from interface org.apache.solr.common.params.HighlightParams
`ALTERNATE_FIELD, ALTERNATE_FIELD_LENGTH, BOUNDARY_SCANNER, BS_CHARS, BS_COUNTRY, BS_LANGUAGE, BS_MAX_SCAN, BS_TYPE, ENCODER, FIELD_MATCH, FIELDS, FORMATTER, FRAG_LIST_BUILDER, FRAGMENTER, FRAGMENTS_BUILDER, FRAGSIZE, HIGHLIGHT, HIGHLIGHT_MULTI_TERM, INCREMENT, MAX_CHARS, MAX_RE_CHARS, MERGE_CONTIGUOUS_FRAGMENTS, MULTI_VALUED_SEPARATOR, PATTERN, PHRASE_LIMIT, Q, REGEX, SIMPLE, SIMPLE_POST, SIMPLE_PRE, SLOP, SNIPPETS, TAG_POST, TAG_PRE, USE_FVH, USE_PHRASE_HIGHLIGHTER`

Constructor Summary
`HighlightingUtils()` Deprecated.

Method Summary
`static NamedList` | `doHighlighting(DocList docs, Query query, SolrQueryRequest req, String[] defaultFields)` Deprecated. use DefaultSolrHighlighter
`static Formatter` | `getFormatter(String fieldName, SolrQueryRequest request)` Deprecated. use DefaultSolrHighlighter
`static Fragmenter` | `getFragmenter(String fieldName, SolrQueryRequest request)` Deprecated. use DefaultSolrHighlighter
`static Highlighter` | `getHighlighter(Query query, String fieldName, SolrQueryRequest request)` Deprecated. use DefaultSolrHighlighter
`static String[]` | `getHighlightFields(Query query, SolrQueryRequest request, String[] defaultFields)` Deprecated. use DefaultSolrHighlighter
`static int` | `getMaxSnippets(String fieldName, SolrQueryRequest request)` Deprecated. use DefaultSolrHighlighter
`static boolean` | `isHighlightingEnabled(SolrQueryRequest request)` Deprecated. use DefaultSolrHighlighter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HighlightingUtils

    public HighlightingUtils()

  Deprecated.

Method Detail

### isHighlightingEnabled

    @Deprecated
    public static boolean isHighlightingEnabled(SolrQueryRequest request)

  Deprecated. use DefaultSolrHighlighter

  See Also:
    `SolrHighlighter.isHighlightingEnabled(org.apache.solr.common.params.SolrParams)`

### getHighlighter

    @Deprecated
    public static Highlighter getHighlighter(Query query,
                                                        String fieldName,
                                                        SolrQueryRequest request)

  Deprecated. use DefaultSolrHighlighter

  See Also:
    `DefaultSolrHighlighter`

### getHighlightFields

    @Deprecated
    public static String[] getHighlightFields(Query query,
                                                         SolrQueryRequest request,
                                                         String[] defaultFields)

  Deprecated. use DefaultSolrHighlighter

  See Also:
    `SolrHighlighter.getHighlightFields(org.apache.lucene.search.Query, org.apache.solr.request.SolrQueryRequest, java.lang.String[])`

### getMaxSnippets

    @Deprecated
    public static int getMaxSnippets(String fieldName,
                                                SolrQueryRequest request)

  Deprecated. use DefaultSolrHighlighter

  See Also:
    `DefaultSolrHighlighter`

### getFormatter

    @Deprecated
    public static Formatter getFormatter(String fieldName,
                                                    SolrQueryRequest request)

  Deprecated. use DefaultSolrHighlighter

  See Also:
    `DefaultSolrHighlighter`

### getFragmenter

    @Deprecated
    public static Fragmenter getFragmenter(String fieldName,
                                                      SolrQueryRequest request)

  Deprecated. use DefaultSolrHighlighter

  See Also:
    `DefaultSolrHighlighter`

### doHighlighting

    @Deprecated
    public static NamedList doHighlighting(DocList docs,
                                                      Query query,
                                                      SolrQueryRequest req,
                                                      String[] defaultFields)
                                    throws IOException

  Deprecated. use DefaultSolrHighlighter

  Throws:
    `IOException`
  See Also:
    `DefaultSolrHighlighter.doHighlighting(org.apache.solr.search.DocList, org.apache.lucene.search.Query, org.apache.solr.request.SolrQueryRequest, java.lang.String[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD